Description

Supportanfrage

ich versuche die Examples von ADTF 3.3.3 zu bauen und bekomme mit cMake immer den gleichen Fehler:

 

Kann mir jemand weiterhelfen und sagen woran das liegen kann?

Lösung

Es wurde der falsche Visual Studio Generator verwendet

In cMake 3.14 muss dieser noch extra angeben werden

History

#1 - 2019-09-09 11:45 - hidden

- Project changed from Public Support to 11

- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to AST

- Affected Products ADTF 3.3.3 added

#2 - 2019-09-09 11:55 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Bianca,

erste Frage... warum verwendest du ADTF 3.3.3 ?

Ich würde dir sehr mindestens ADTF 3.5.0 (wegen neuer Filter API) oder am besten ADTF 3.6.x (wegen Tooloptimierung) ans Herz legen.

Zu deinem Fehler:

Kann es sein, dass du das Example standalone verwendest, also direkt den Ordner von dem example angibst ?
Die example Struktur ist ja so aufgebaut, dass man eine große Solution mit allen examples erhält, d.h. du musst relevante Infos und Command aus

der Haupt Cmake Datei (im root verzeichnis) angeben.

Oder du baust die gesamte Solution und verwendest den Hauptpfad.

Oder du benutzt das gelieferte Batch Skript.

Hilft dir das weiter ?

#3 - 2019-09-09 12:17 - hidden

Hallo Florian,

Die ADTF 3.3.3 Version müssen wir aufgrund eines projekts verwenden.

Ich gebe im cMake direkt den Ordner von ADTF an: C:/Work/Tools/ADTF/3.3.3/ und ich bekomme trotzdem diesen Fehler.

Als Hinweis, ich habe bei mir nur Visual Studio 2015 installiert

Mit dem Batch Skript funktioniert es auch nicht, da bekomme ich den gleichen Fehler.

#4 - 2019-09-09 12:59 - hidden

Hi Bianca,

ja das müsste soweit passen... hm.

Kann es sein, dass du den falschen Generator verwendest, z.B. Visual Studio 14 2015 statt Visual Studio 14 2015 Win64 ?

#5 - 2019-09-12 16:24 - hidden

@Bianca: Hat sich das Problem gelöst, lags am Generator, siehe #8292#note-4 ?

#6 - 2019-09-13 09:07 - hidden

- Resolution set to Solved Issue

@Michael: Bitte heute noch abwarten und ansonsten Montag schließen. Müsste am falschen Generator liegen

#7 - 2019-09-13 09:23 - hidden

Hallo Florian,

ja es lag am falschen Generator, in cMake 3.14 muss man diesen noch extra angeben und das hatte ich vergessen.

Vielen Dank für die Hilfe!

#8 - 2019-09-13 13:35 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Platform Windows 7 64bit added

#9 - 2019-09-13 13:59 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF3 Exmaples Build to Error configuring CMake to build the examples

- Private changed from Yes to No

#10 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed
